{% extends 'base.html' %}
{% load static %}
{% block customhead %}
<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
{% endblock customhead %}
{% block content %}

<div id='homepage'>
    <div class="container">
        <div class="box">
            {% if user.is_authenticated %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">Hello, <span>{{ user.username }}</span></h1>
                </div>
            {% else %}
                <div class="row">
                    <h1 class="hello col-md-12 col-sm-12">Hello, <span>{{ user.username }}</span></h1>
                </div>
            {% endif %}
            <div class="row">
                <h1 class="welcome col-md-12 col-sm-12">Welcome to Bodyology</h1>
            </div>
            <div class="row">
              <h3 class="brief col-md-12 col-sm-12">Let me help you to find the best products for you</h3>
            </div>
        </div>
    </div>
</div>

<div id='homepage2'>
    <div class='container'>
        <div class="row">

            <div class="col-md-6 col-sm-12">
                <div class="box-2">
                    <div class="row">
                        <h2 class="title-1">Personalized product recommendation that match your needs</h2>
                    </div>
                    <div class="row">
                        <h6 class="title-2">Join today and get the best care for your body</h6>
                    </div>
                </div>
            </div>

            {% if user.is_authenticated %}
                <div class="col-md-6 col-sm-12">
                    <h2 id="more">More About Us</h2>
                    <h4>Bodyology was established in 2019. This web's aim
                        is to help the visitors find the best products that matched
                        with their problems.
                    </h4>
                    <br>
                    <br>
                    <h3 id="thanks">Thank you for joining!</h3>
                </div>

            {% else %}
            
                <div class="col-md-6 col-sm-12 wrapper">

                    <div class="tabs">
                        <ul>
                            <li data-list="tab_1" id="login-tab">
                                <p>Log In</p>
                            </li>
                            <li data-list="tab_2" id="info-tab">
                                <p>More About Us</p>
                            </li>
                        </ul>
                    </div>

                    <div class="content">
                        <div id ="login-content" class="tab_content tab_1">
                            <span id="join">Let's join with us!</span>
                            <form action="{% url 'homepage:login' %}" method="POST">
                                {% csrf_token %}
                                <p>Username: </p>
                                {{ form.username }}
                                <br>
                                <p style="margin-top: 1rem;">Password: </p>
                                {{ form.password }}
                                <br>
                                <input class="btn btn-primary" type="submit" value="Log in" id="login-button">
                            </form>
                        </div>

                        <div id ="info-content" class="tab_content tab_2">
                           <h3>Bodyology was established in 2019. This web's aim
                               is to help the visitors find the best products that matched
                               with their problems.
                           </h3>
                        </div>
                    </div>
                </div>

            {% endif %}
               
        </div>
    </div>
</div>

<div id="homepage3">
    <div class="title">
        <h2 id="title-3">Here are the testimonials from our users</h2>
    </div>
    <div class="card">
        <div class="card-container">
            
        </div>

    </div>
</div>

<script src="{% static 'jquery.js' %}"></script>

{% endblock content %}